# Class CIM_CertificateAuthority
extends CIM_CredentialManagementService

A Certificate Authority (CA) is a credential management service that issues and cryptographically signs certificates. It acts as an trusted third-party intermediary in establishing trust relationships. The CA authenticates the identity of the holder of the 'private' key, related to the certificate's 'public' key.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_SecurityService
|
+--CIM_AuthenticationService
|
+--CIM_CredentialManagementService
|
+--CIM_CertificateAuthority

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A Certificate Authority (CA) is a credential management service that issues and cryptographically signs certificates. It acts as an trusted third-party intermediary in establishing trust relationships. The CA authenticates the identity of the holder of the 'private' key, related to the certificate's 'public' key.
UMLPackagePath | string | CIM::User::PublicKey
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CADistinguishedName | string |
Description | string | Certificates refer to their issuing CA by its Distinguished Name (as defined in X.501).
Dn | boolean | true
CAPolicyStatement | string |
Description | string | The CAPolicyStatement describes what care is taken by the CertificateAuthority when signing a new certificate. The CAPolicyStatment may be a dot-delimited ASN.1 OID string which identifies to the formal policy statement.
CRLRefreshFrequency | uint8 |
Description | string | The frequency, expressed in hours, at which the CA will update its Certificate Revocation List. Zero implies that the refresh frequency is unknown.
PUnit | string | hour
Units | string | Hours
MaxChainLength | uint8 |
Description | string | The maximum number of certificates in a certificate chain permitted for credentials issued by this certificate authority or it's subordinate CAs. The MaxChainLength of a superior CA in the trust hierarchy should be greater than this value and the MaxChainLength of a subordinate CA in the trust hierarchy should be less than this value.
CRL | string[] |
Description | string | A CRL, or CertificateRevocationList, is a list of certificates which the CertificateAuthority has revoked and which are not yet expired. Revocation is necessary when the private key associated with the public key of a certificate is lost or compromised, or when the person for whom the certificate is signed no longer is entitled to use the certificate.
OctetString | boolean | true
CRLDistributionPoint | string[] |
Description | string | Certificate revocation lists may be available from a number of distribution points. CRLDistributionPoint array values provide URIs for those distribution points.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service